package com.yonge.cooleshow.mbg.mapper;

import com.yonge.cooleshow.mbg.model.UserOrderRefund;
import com.yonge.cooleshow.mbg.model.UserOrderRefundExample;

import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * Description
 *
 * @author: feng-ji
 * @date: 2022-04-27
 */
public interface UserOrderRefundMapper {
    long countByExample(UserOrderRefundExample example);

    int deleteByExample(UserOrderRefundExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserOrderRefund record);

    int insertSelective(UserOrderRefund record);

    List<UserOrderRefund> selectByExample(UserOrderRefundExample example);

    UserOrderRefund selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserOrderRefund record, @Param(
            "example") UserOrderRefundExample example);

    int updateByExample(@Param("record") UserOrderRefund record, @Param("example") UserOrderRefundExample example);

    int updateByPrimaryKeySelective(UserOrderRefund record);

    int updateByPrimaryKey(UserOrderRefund record);

    UserOrderRefund selectByTransNo(@Param("transNo") String transNo);

    UserOrderRefund selectByRefundNo(@Param("refundOrderNo") String refundOrderNo);

    UserOrderRefund selectByPayOrderNo( @Param("payOrderNo") String payOrderNo);
}